### org.jfree.layouting.renderer.model.inlines

# Class BaseLineAlignment

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.inlines.BaseLineAlignment`

Implemented Interfaces:
  InlineVerticalAlignment

`public class BaseLineAlignment`
`extends java.lang.Object`
`implements InlineVerticalAlignment`

Creation-Date: 24.07.2006, 15:06:57

Author:
  Thomas Morgner

  ## Constructor Summary

  `BaseLineAlignment()`

  ## Method Summary

  `long`

  `getPreferredSize(RenderBox box)`

  `void`

  `validate(RenderBox box)`

## Constructor Details

### BaseLineAlignment

    public BaseLineAlignment()

## Method Details

### getPreferredSize

    public long getPreferredSize(RenderBox box)

> Specified by:
>   getPreferredSize in interface InlineVerticalAlignment

### validate

    public void validate(RenderBox box)

> Specified by:
>   validate in interface InlineVerticalAlignment